org.apache.calcite.avatica

## Class MetaImpl.EmptyIterator

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.EmptyIterator

All Implemented Interfaces:
  Iterator<Object>

Enclosing class:
  MetaImpl

    private static class MetaImpl.EmptyIterator
    extends Object
    implements Iterator<Object>

Iterator that never returns any elements.

### Field Summary

Fields
`static Iterator<Object>` `INSTANCE`

### Constructor Summary

Constructors
`private` `MetaImpl.EmptyIterator()`

### Method Summary

Methods
`boolean` `hasNext()`
`Object` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final Iterator<Object> INSTANCE

### Constructor Detail

#### MetaImpl.EmptyIterator

    private MetaImpl.EmptyIterator()

### Method Detail

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<Object>`

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Object>`

#### next

    public Object next()

Specified by:
  `next` in interface `Iterator<Object>`